<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>peer-review-system documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">peer-review-system documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>ReviewUnitCreateComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/components/review-unit/review-unit-create/review-unit-create.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                    <code><a href="https://angular.io/api/core/OnInit" target="_blank" >OnInit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>app-review-unit-create</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./review-unit-create.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./review-unit-create.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#afs">afs</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#auth">auth</a>
                            </li>
                            <li>
                                <a href="#columnDefs">columnDefs</a>
                            </li>
                            <li>
                                <a href="#data">data</a>
                            </li>
                            <li>
                                <a href="#displayName">displayName</a>
                            </li>
                            <li>
                                <a href="#dropdownList">dropdownList</a>
                            </li>
                            <li>
                                <a href="#dropdownSettings">dropdownSettings</a>
                            </li>
                            <li>
                                <a href="#gridApi">gridApi</a>
                            </li>
                            <li>
                                <a href="#gridColumnApi">gridColumnApi</a>
                            </li>
                            <li>
                                <a href="#gridOptions">gridOptions</a>
                            </li>
                            <li>
                                <a href="#reviewUnits">reviewUnits</a>
                            </li>
                            <li>
                                <a href="#revUnitForm">revUnitForm</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#revUnitService">revUnitService</a>
                            </li>
                            <li>
                                <a href="#rowData">rowData</a>
                            </li>
                            <li>
                                <a href="#rowSelection">rowSelection</a>
                            </li>
                            <li>
                                <a href="#selectedIds">selectedIds</a>
                            </li>
                            <li>
                                <a href="#selectedMembers">selectedMembers</a>
                            </li>
                            <li>
                                <a href="#selectedTeam">selectedTeam</a>
                            </li>
                            <li>
                                <a href="#teams">teams</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#teamsService">teamsService</a>
                            </li>
                            <li>
                                <a href="#teamValue">teamValue</a>
                            </li>
                            <li>
                                <a href="#userData">userData</a>
                            </li>
                            <li>
                                <a href="#userId">userId</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#usersService">usersService</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ngOnInit">ngOnInit</a>
                            </li>
                            <li>
                                <a href="#onGridReady">onGridReady</a>
                            </li>
                            <li>
                                <a href="#onSelectionChanged">onSelectionChanged</a>
                            </li>
                            <li>
                                <a href="#onSubmit">onSubmit</a>
                            </li>
                            <li>
                                <a href="#resetFields">resetFields</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#setTeamValue">setTeamValue</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(auth: <a href="../injectables/AuthService.html">AuthService</a>, revUnitService: <a href="../injectables/ReviewUnitService.html">ReviewUnitService</a>, usersService: <a href="../injectables/UsersService.html">UsersService</a>, teamsService: <a href="../injectables/TeamsService.html">TeamsService</a>, afs: AngularFirestore, afAuth: AngularFireAuth, router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="48" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:48</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>auth</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/AuthService.html" target="_self" >AuthService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>revUnitService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/ReviewUnitService.html" target="_self" >ReviewUnitService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>usersService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/UsersService.html" target="_self" >UsersService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>teamsService</td>
                                                  
                                                        <td>
                                                                        <code><a href="../injectables/TeamsService.html" target="_self" >TeamsService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>afs</td>
                                                  
                                                        <td>
                                                                    <code>AngularFirestore</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>afAuth</td>
                                                  
                                                        <td>
                                                                    <code>AngularFireAuth</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                        <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
    <h3 id="methods">
        Methods
    </h3>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="ngOnInit"></a>
                    <span class="name">
                        <b>
                            ngOnInit
                        </b>
                        <a href="#ngOnInit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>ngOnInit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="70"
                            class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:70</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onGridReady"></a>
                    <span class="name">
                        <b>
                            onGridReady
                        </b>
                        <a href="#onGridReady"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onGridReady(params)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="116"
                            class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:116</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>params</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onSelectionChanged"></a>
                    <span class="name">
                        <b>
                            onSelectionChanged
                        </b>
                        <a href="#onSelectionChanged"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onSelectionChanged()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="95"
                            class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:95</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="onSubmit"></a>
                    <span class="name">
                        <b>
                            onSubmit
                        </b>
                        <a href="#onSubmit"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>onSubmit()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="131"
                            class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:131</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="resetFields"></a>
                    <span class="name">
                        <b>
                            resetFields
                        </b>
                        <a href="#resetFields"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
<code>resetFields()</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="128"
                            class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:128</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <table class="table table-sm table-bordered">
        <tbody>
            <tr>
                <td class="col-md-4">
                    <a name="setTeamValue"></a>
                    <span class="name">
                        <b>
                            <span class="modifier">Public</span>
                            setTeamValue
                        </b>
                        <a href="#setTeamValue"><span class="icon ion-ios-link"></span></a>
                    </span>
                </td>
            </tr>
            <tr>
                <td class="col-md-4">
                    <span class="modifier-icon icon ion-ios-reset"></span>
                    <code>setTeamValue(selectedTeam)</code>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">
                    <div class="io-line">Defined in <a href="" data-line="122"
                            class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:122</a></div>
                </td>
            </tr>


            <tr>
                <td class="col-md-4">

                    <div class="io-description">
                        <b>Parameters :</b>
                        <table class="params">
                            <thead>
                                <tr>
                                    <td>Name</td>
                                    <td>Optional</td>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <td>selectedTeam</td>

                                    <td>
                                        No
                                    </td>


                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div>
                    </div>
                    <div class="io-description">
                        <b>Returns : </b>        <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                    </div>
                    <div class="io-description">
                        
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</section>
    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="afs"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            afs</b>
                            <a href="#afs"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>AngularFirestore</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="57" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:57</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="auth"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            auth</b>
                            <a href="#auth"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../injectables/AuthService.html" target="_self" >AuthService</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="53" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:53</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="columnDefs"></a>
                        <span class="name">
                            <b>
                            columnDefs</b>
                            <a href="#columnDefs"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[
    {
      headerName: &#x27;Avatar&#x27;, field: &#x27;photoURL&#x27;, sortable: false, filter: false,
      cellRenderer: (params) &#x3D;&gt; &#x60;&lt;img src&#x3D;&quot;${params.value}&quot;
    class&#x3D;&quot;img-responsive img-thumbnail rounded-circle avatar&quot; width&#x3D;&quot;75&quot; height&#x3D;&quot;75&quot;&gt;&#x60;},
    {
      headerName: &#x27;DisplayName&#x27;, field: &#x27;displayName&#x27;, sortable: true, filter: true
    },
    { field: &#x27;uid&#x27;, hide: true }
  ]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="39" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:39</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="data"></a>
                        <span class="name">
                            <b>
                            data</b>
                            <a href="#data"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>literal type</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:22</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="displayName"></a>
                        <span class="name">
                            <b>
                            displayName</b>
                            <a href="#displayName"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:24</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dropdownList"></a>
                        <span class="name">
                            <b>
                            dropdownList</b>
                            <a href="#dropdownList"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="dropdownSettings"></a>
                        <span class="name">
                            <b>
                            dropdownSettings</b>
                            <a href="#dropdownSettings"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>{}</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="26" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:26</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="gridApi"></a>
                        <span class="name">
                            <b>
                            gridApi</b>
                            <a href="#gridApi"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="32" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:32</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="gridColumnApi"></a>
                        <span class="name">
                            <b>
                            gridColumnApi</b>
                            <a href="#gridColumnApi"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="33" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:33</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="gridOptions"></a>
                        <span class="name">
                            <b>
                            gridOptions</b>
                            <a href="#gridOptions"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="34" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:34</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="reviewUnits"></a>
                        <span class="name">
                            <b>
                            reviewUnits</b>
                            <a href="#reviewUnits"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:21</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="revUnitForm"></a>
                        <span class="name">
                            <b>
                            revUnitForm</b>
                            <a href="#revUnitForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="20" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:20</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="revUnitService"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            revUnitService</b>
                            <a href="#revUnitService"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../injectables/ReviewUnitService.html" target="_self" >ReviewUnitService</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="54" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:54</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="rowData"></a>
                        <span class="name">
                            <b>
                            rowData</b>
                            <a href="#rowData"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="37" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:37</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="rowSelection"></a>
                        <span class="name">
                            <b>
                            rowSelection</b>
                            <a href="#rowSelection"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="31" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:31</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="selectedIds"></a>
                        <span class="name">
                            <b>
                            selectedIds</b>
                            <a href="#selectedIds"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:36</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="selectedMembers"></a>
                        <span class="name">
                            <b>
                            selectedMembers</b>
                            <a href="#selectedMembers"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>[]</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>[]</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:35</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="selectedTeam"></a>
                        <span class="name">
                            <b>
                            selectedTeam</b>
                            <a href="#selectedTeam"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="29" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:29</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="teams"></a>
                        <span class="name">
                            <b>
                            teams</b>
                            <a href="#teams"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="28" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:28</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="teamsService"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            teamsService</b>
                            <a href="#teamsService"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../injectables/TeamsService.html" target="_self" >TeamsService</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="56" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:56</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="teamValue"></a>
                        <span class="name">
                            <b>
                            teamValue</b>
                            <a href="#teamValue"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="30" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:30</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="userData"></a>
                        <span class="name">
                            <b>
                            userData</b>
                            <a href="#userData"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../interfaces/User.html" target="_self" >User</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="27" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:27</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="userId"></a>
                        <span class="name">
                            <b>
                            userId</b>
                            <a href="#userId"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="usersService"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            usersService</b>
                            <a href="#usersService"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>        <code><a href="../injectables/UsersService.html" target="_self" >UsersService</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="55" class="link-to-prism">src/app/components/review-unit/review-unit-create/review-unit-create.component.ts:55</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, OnInit } from &#x27;@angular/core&#x27;;
import { AngularFirestore } from &#x27;angularfire2/firestore&#x27;;
import { ReviewUnitService } from &#x27;src/app/services/review-unit.service&#x27;;
import { AuthService } from &#x27;src/app/services/auth.service&#x27;;
import { Router } from &#x27;@angular/router&#x27;;
import { AngularFireAuth } from &#x27;angularfire2/auth&#x27;;
import * as firebase from &#x27;firebase/app&#x27;;
import { User } from &#x27;src/app/models/user&#x27;;
import { UsersService } from &#x27;src/app/services/users.service&#x27;;
import { Observable } from &#x27;rxjs&#x27;;
import { TeamsService } from &#x27;src/app/services/teams.service&#x27;;
import { flatMap } from &#x27;rxjs/operators&#x27;;
@Component({
  selector: &#x27;app-review-unit-create&#x27;,
  templateUrl: &#x27;./review-unit-create.component.html&#x27;,
  styleUrls: [&#x27;./review-unit-create.component.scss&#x27;]
})
export class ReviewUnitCreateComponent implements OnInit {

  revUnitForm;
  reviewUnits &#x3D; [];
  data: {};
  userId: string;
  displayName: string;
  dropdownList &#x3D; [];
  dropdownSettings &#x3D; {};
  userData: User;
  teams;
  selectedTeam;
  teamValue;
  rowSelection;
  gridApi;
  gridColumnApi;
  gridOptions;
  selectedMembers &#x3D; [];
  selectedIds &#x3D; [];
  rowData;

  columnDefs &#x3D; [
    {
      headerName: &#x27;Avatar&#x27;, field: &#x27;photoURL&#x27;, sortable: false, filter: false,
      cellRenderer: (params) &#x3D;&gt; &#x60;&lt;img src&#x3D;&quot;${params.value}&quot;
    class&#x3D;&quot;img-responsive img-thumbnail rounded-circle avatar&quot; width&#x3D;&quot;75&quot; height&#x3D;&quot;75&quot;&gt;&#x60;},
    {
      headerName: &#x27;DisplayName&#x27;, field: &#x27;displayName&#x27;, sortable: true, filter: true
    },
    { field: &#x27;uid&#x27;, hide: true }
  ];



  constructor(
    public auth: AuthService,
    public revUnitService: ReviewUnitService,
    public usersService: UsersService,
    public teamsService: TeamsService,
    public afs: AngularFirestore,
    private afAuth: AngularFireAuth,
    private router: Router
  ) {
    this.afAuth.authState.subscribe(user &#x3D;&gt; {
      if (user) {
        this.displayName &#x3D; user.displayName;
        this.userId &#x3D; user.uid;
        this.teams &#x3D; this.usersService.getUserTeams(this.userId);
      }
    });
  }

  ngOnInit() {
    this.revUnitForm &#x3D; this.revUnitService.form;
    this.dropdownList &#x3D; [
      { id: 1, itemName: &#x27;article&#x27; },
      { id: 2, itemName: &#x27;code review&#x27; },
      { id: 3, itemName: &#x27;diagram&#x27; },
      { id: 4, itemName: &#x27;document&#x27; },
      { id: 5, itemName: &#x27;forecast&#x27; },
      { id: 6, itemName: &#x27;scheme&#x27; },
      { id: 7, itemName: &#x27;important&#x27; },
      { id: 8, itemName: &#x27;projection&#x27; },
      { id: 9, itemName: &#x27;urgent&#x27; },
      { id: 10, itemName: &#x27;editorial&#x27; }
    ];

    this.dropdownSettings &#x3D; {
      text: &#x27;Select tags&#x27;,
      singleSelection: false,
      selectAllText: &#x27;Select All&#x27;,
      unSelectAllText: &#x27;Unselect All&#x27;,
      enableSearchFilter: true,
      classes: &#x27;myclass custom-class custom-select&#x27;,
    };
  }

  onSelectionChanged() {
    const selectedRows &#x3D; this.gridApi.getSelectedRows();
    let selectedRowsString &#x3D; &#x27;&#x27;;
    selectedRows.forEach((selectedRow, index) &#x3D;&gt; {
      // if (index &gt; 5) {
      //   return;
      // }
      if (index !&#x3D;&#x3D; 0) {
        selectedRowsString +&#x3D; &#x27;, &#x27;;
      }
      selectedRowsString +&#x3D; selectedRow.displayName;
      this.selectedMembers &#x3D; selectedRows;
      this.selectedIds &#x3D; this.selectedMembers.map(el &#x3D;&gt; el.uid);
      return this.selectedIds;
    });
    if (selectedRows.length &gt;&#x3D; 5) {
      selectedRowsString +&#x3D; &#x27; - and &#x27; + (selectedRows.length - 5) + &#x27; others&#x27;;
    }
    document.querySelector(&#x27;#selectedRows&#x27;).innerHTML &#x3D; selectedRowsString;
  }

  onGridReady(params) {
    this.gridApi &#x3D; params.api;
    this.gridColumnApi &#x3D; params.columnApi;
    this.gridApi.sizeColumnsToFit();
  }

  public setTeamValue(selectedTeam) {
    this.teamValue &#x3D; this.selectedTeam;
    this.rowData &#x3D; this.teamsService.getTeamMembers(this.teamValue);
    this.rowSelection &#x3D; &#x27;multiple&#x27;;
  }

  resetFields() {
    this.revUnitForm &#x3D; this.revUnitService.form;
  }
  onSubmit() {
    const reviewUnit &#x3D; this.revUnitService.form.value;
    const date &#x3D; firebase.firestore.FieldValue.serverTimestamp();
    this.revUnitService.createReviewUnit(reviewUnit, this.userId, this.displayName, date, this.selectedIds, this.teamValue);
    this.resetFields();
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div class&#x3D;&quot;container&quot;&gt;
  &lt;p class&#x3D;&quot;h4 text-center&quot;&gt;Create Review Request&lt;/p&gt;
  &lt;div class&#x3D;&quot;row container-bg px-2 py-3&quot;&gt;
    &lt;div class&#x3D;&quot;form col-12&quot;&gt;
      &lt;form [formGroup]&#x3D;&quot;this.revUnitForm&quot; (ngSubmit)&#x3D;&quot;onSubmit()&quot;&gt;
        &lt;div class&#x3D;&quot;form-group&quot;&gt;
          &lt;div class&#x3D;&quot;row pb-5&quot;&gt;
            &lt;div class&#x3D;&quot;col-md-8 col-xs-12&quot;&gt;
              &lt;input placeholder&#x3D;&quot;Request Title&quot; formControlName&#x3D;&quot;title&quot; type&#x3D;&quot;text&quot;
                class&#x3D;&quot;form-control bg-transparent rounded-0 border border-primary border-top-0 border-left-0 border-right-0 pb-2&quot;&gt;
              &lt;textarea rows&#x3D;&quot;8&quot; placeholder&#x3D;&quot;Request Content&quot; formControlName&#x3D;&quot;content&quot;
                class&#x3D;&quot;form-control bg-transparent rounded-0 border border-primary mt-4&quot;&gt;&lt;/textarea&gt;
            &lt;/div&gt;
            &lt;div class&#x3D;&quot;col-md-4 col-xs-12&quot;&gt;
              &lt;p class&#x3D;&quot;h5 pb-2&quot;&gt;Tags&lt;/p&gt;
              &lt;angular2-multiselect formControlName&#x3D;&quot;tags&quot; [data]&#x3D;&quot;dropdownList&quot; [settings]&#x3D;&quot;dropdownSettings&quot;&gt;
              &lt;/angular2-multiselect&gt;
              &lt;div&gt;
                  &lt;p class&#x3D;&quot;h5 pb-2&quot;&gt;Select a team&lt;/p&gt;
                  &lt;select class&#x3D;&quot;custom-select&quot; [(ngModel)]&#x3D;&quot;selectedTeam&quot; [ngModelOptions]&#x3D;&quot;{standalone: true}&quot; (change)&#x3D;&quot;setTeamValue($event.target.value)&quot;&gt;
                    &lt;option [value]&#x3D;&quot;team.uid&quot; *ngFor&#x3D;&quot;let team of teams | async&quot;&gt;
                      {{ team.teamName }}
                    &lt;/option&gt;
                  &lt;/select&gt;

              &lt;/div&gt;
            &lt;/div&gt;
          &lt;/div&gt;
          &lt;div *ngIf&#x3D;&#x27;teamValue&#x27; class&#x3D;&quot;ag-theme-bootstrap center-block&quot;&gt;
              &lt;div&gt;Selection: &lt;span id&#x3D;&quot;selectedRows&quot;&gt;&lt;/span&gt;&lt;/div&gt;
              &lt;ag-grid-angular style&#x3D;&quot;width: 100%; height: 400px;&quot; class&#x3D;&quot;ag-theme-bootstrap&quot; [rowData]&#x3D;&quot;rowData | async&quot;
                [columnDefs]&#x3D;&quot;columnDefs&quot; [rowHeight]&#x3D;&quot;100&quot; [groupUseEntireRow]&#x3D;&quot;true&quot; [groupRowRenderer]&#x3D;&quot;true&quot;
                [pagination]&#x3D;&quot;true&quot; [paginationAutoPageSize]&#x3D;&quot;true&quot; [rowSelection]&#x3D;&quot;rowSelection&quot;
                [rowMultiSelectWithClick]&#x3D;&quot;true&quot; (selectionChanged)&#x3D;&quot;onSelectionChanged($event)&quot;
                (gridReady)&#x3D;&quot;onGridReady($event)&quot;&gt;
              &lt;/ag-grid-angular&gt;
            &lt;/div&gt;
          &lt;button type&#x3D;&quot;submit&quot; class&#x3D;&quot;btn btn-primary btn-block&quot;&gt;Create&lt;/button&gt;
        &lt;/div&gt;
      &lt;/form&gt;
     
    &lt;/div&gt;
  &lt;/div&gt;
&lt;/div&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./review-unit-create.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss"></code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div class="container">  <p class="h4 text-center">Create Review Request</p>  <div class="row container-bg px-2 py-3">    <div class="form col-12">      <form [formGroup]="this.revUnitForm" (ngSubmit)="onSubmit()">        <div class="form-group">          <div class="row pb-5">            <div class="col-md-8 col-xs-12">              <input placeholder="Request Title" formControlName="title" type="text"                class="form-control bg-transparent rounded-0 border border-primary border-top-0 border-left-0 border-right-0 pb-2">              <textarea rows="8" placeholder="Request Content" formControlName="content"                class="form-control bg-transparent rounded-0 border border-primary mt-4"></textarea>            </div>            <div class="col-md-4 col-xs-12">              <p class="h5 pb-2">Tags</p>              <angular2-multiselect formControlName="tags" [data]="dropdownList" [settings]="dropdownSettings">              </angular2-multiselect>              <div>                  <p class="h5 pb-2">Select a team</p>                  <select class="custom-select" [(ngModel)]="selectedTeam" [ngModelOptions]="{standalone: true}" (change)="setTeamValue($event.target.value)">                    <option [value]="team.uid" *ngFor="let team of teams | async">                      {{ team.teamName }}                    </option>                  </select>              </div>            </div>          </div>          <div *ngIf=\'teamValue\' class="ag-theme-bootstrap center-block">              <div>Selection: <span id="selectedRows"></span></div>              <ag-grid-angular style="width: 100%; height: 400px;" class="ag-theme-bootstrap" [rowData]="rowData | async"                [columnDefs]="columnDefs" [rowHeight]="100" [groupUseEntireRow]="true" [groupRowRenderer]="true"                [pagination]="true" [paginationAutoPageSize]="true" [rowSelection]="rowSelection"                [rowMultiSelectWithClick]="true" (selectionChanged)="onSelectionChanged($event)"                (gridReady)="onGridReady($event)">              </ag-grid-angular>            </div>          <button type="submit" class="btn btn-primary btn-block">Create</button>        </div>      </form>         </div>  </div></div></div>'
    var COMPONENTS = [{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'CreateTeamComponent', 'selector': 'app-create-team'},{'name': 'DashboardComponent', 'selector': 'app-dashboard'},{'name': 'FooterComponent', 'selector': 'app-footer'},{'name': 'HomeComponent', 'selector': 'app-home'},{'name': 'LoggedUserComponent', 'selector': 'app-logged-user'},{'name': 'NavComponent', 'selector': 'app-nav'},{'name': 'NotFoundComponent', 'selector': 'app-not-found'},{'name': 'ResetPasswordComponent', 'selector': 'app-reset-password'},{'name': 'ReviewUnitCreateComponent', 'selector': 'app-review-unit-create'},{'name': 'ReviewUnitPreviewComponent', 'selector': 'app-review-unit-preview'},{'name': 'ReviewUnitsComponent', 'selector': 'app-review-units'},{'name': 'SendEmailComponent', 'selector': 'app-send-email'},{'name': 'ServerErrorComponent', 'selector': 'app-server-error'},{'name': 'SigninComponent', 'selector': 'app-signin'},{'name': 'SignupComponent', 'selector': 'app-signup'},{'name': 'TagsComponent', 'selector': 'app-tags'},{'name': 'TeamsComponent', 'selector': 'app-teams'},{'name': 'TimestampComponent', 'selector': 'app-timestamp'},{'name': 'UploaderComponent', 'selector': 'app-uploader'},{'name': 'UploadTaskComponent', 'selector': 'app-upload-task'},{'name': 'UserProfileComponent', 'selector': 'app-user-profile'},{'name': 'UsersComponent', 'selector': 'app-users'}];
    var DIRECTIVES = [{'name': 'DropZoneDirective', 'selector': '[app-dropzone]'}];
    var ACTUAL_COMPONENT = {'name': 'ReviewUnitCreateComponent'};
</script>
<script src="../js/tree.js"></script>










                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ReviewUnitCreateComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
